#include<iostream>
using namespace std;
void vhod(long long &x1,long long &y1,long long &x2,long long &y2,long long &a,long long &b)
{
    cin>>x1>>y1>>x2>>y2>>a>>b;
    }
int kolkovectori(){
    long long x1,y1,x2,y2,a,b,otgowor;
    vhod(x1,y1,x2,y2,a,b);

    long long f=0,h=0;

    f=x1-x2;
    if(f<0){
        f=0-f;
    }

    f=a-f+1;
    if(f<=0){
        return 0;
    }

    h=y1-y2;
    if(h<0){
        h=0-h;
    }
    h=b-h+1;
    if(h<=0){
        return 0;
    }
    otgowor=h*f;
    return otgowor;

}
int main()
{
    int T;
    long long otgowori[1000];
    cin>>T;
    for(int i=0;i<T;i++){
        otgowori[i]=kolkovectori();
    }
    for(int i=0;i<T;i++){
        cout<<otgowori[i]<<endl;
    }
    return 0;
}
